Package org.oasis_open.docs.ws_calendar.ns.soap

# Class MultistatResponseElementType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.MultistatResponseElementType

public class MultistatResponseElementType extends Object
One part of a Multistatus

Java class for MultistatResponseElementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MultistatResponseElementType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="href" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="changeToken" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}propstat" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `changeToken`
  `protected String`
  `href`
  `protected List<PropstatType>`
  `propstat`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultistatResponseElementType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChangeToken()`
  Gets the value of the changeToken property.
  `String`
  `getHref()`
  Gets the value of the href property.
  `List<PropstatType>`
  `getPropstat()`
  Gets the value of the propstat property.
  `void`
  `setChangeToken(String value)`
  Sets the value of the changeToken property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### changeToken

    protected String changeToken

  - ### propstat

    protected List<PropstatType> propstat

- ## Constructor Details

  - ### MultistatResponseElementType

    public MultistatResponseElementType()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getChangeToken

    public String getChangeToken()
    Gets the value of the changeToken property.
    Returns:
      possible object is `String`

  - ### setChangeToken

    public void setChangeToken(String value)
    Sets the value of the changeToken property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPropstat

    public List<PropstatType> getPropstat()
    Gets the value of the propstat property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propstat property.

    For example, to add a new item, do as follows:

            getPropstat().add(newItem);

    Objects of the following type(s) are allowed in the list `PropstatType`